#
#   Visualizza l'andamento in frequenza della media mobile.
#   Copyright (C) 2015 2018 2019  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#


set terminal png size 640,480 x000000 xffffff


# Funzioni
dB(x)=20.0*log10(x)
sinc(x)=sin(x)/x
Media(x,N)=abs(sinc(x*pi*N))



set grid x y

set key off
#set key on
#set key title "lines"
#set key Left reverse samplen 1 box lw 1
#set key width 1 height 1
#set key right
#set key top

#set samples 300
set samples 1000

set xrange[0:0.5]
set yrange[-60:0]

set xtics 0.05
set ytics 10

set xlabel "Normalized frequency"
set ylabel "Amplitude [dB]"
set title "128 samples mean filter response"

plot	"media_fft.dat" using 9:10 title 'media 128' with lines


