#
#   Visualizza gli spettri calcolati da octave.
#   Copyright (C) 2015 2018  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#


# Terminal settings
# to generate a .png image uncomment the line below and run the script as:
#  gnuplot script.gnu > script.png
#
#set terminal png


# Funzioni
dB(x)=20.0*log10(x)
sinc(x)=sin(x)/x
Media(x,N)=abs(sinc(x*pi*N))



set grid x y

set key on
set key title "lines"
set key Left reverse samplen 1 box lw 1
set key width 1 height 1
set key right
set key top

#set samples 300
set samples 1000

set xrange[0:0.5]
set yrange[-80:10]

set xtics 0.05
set ytics 10

set xlabel "Frequenza normalizzata"
set ylabel "Modulo [dB]"
set title "Analisi in frequenza"

plot	"media_fft.dat" using 1:2  title 'media 4'   with lines, \
	"media_fft.dat" using 3:4  title 'media 8'   with lines, \
	"media_fft.dat" using 5:6  title 'media 32'  with lines, \
	"media_fft.dat" using 7:8  title 'media 64'  with lines, \
	"media_fft.dat" using 9:10 title 'media 128' with lines, \
	dB(Media(x,4))   title "sinc 4"   with lines lw 1, \
	dB(Media(x,8))   title "sinc 8"   with lines lw 1, \
	dB(Media(x,32))  title "sinc 32"  with lines lw 1, \
	dB(Media(x,64))  title "sinc 64"  with lines lw 1, \
	dB(Media(x,128)) title "sinc 128" with lines lw 1

